summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Huettel <dilfridge@gentoo.org>2017-11-27 18:43:52 +0100
committerAndreas K. Huettel <dilfridge@gentoo.org>2017-11-27 18:44:42 +0100
commit7a0a8d6e5c3b03291d696124367821116ccbe5d4 (patch)
tree559309e2b8fb7d0977b7227b2c667364605ce987
parentnet-im/jabberd2: Drop old (diff)
downloadgentoo-7a0a8d6e5c3b03291d696124367821116ccbe5d4.tar.gz
gentoo-7a0a8d6e5c3b03291d696124367821116ccbe5d4.tar.bz2
gentoo-7a0a8d6e5c3b03291d696124367821116ccbe5d4.zip
app-text/pdftk: Make this build with gcc-5 for now
Hardwire pdftk to use gcc-5.4.0, and depend on it Bug: https://bugs.gentoo.org/562568 Package-Manager: Portage-2.3.16, Repoman-2.3.6
-rw-r--r--app-text/pdftk/pdftk-2.02.ebuild11
1 files changed, 8 insertions, 3 deletions
diff --git a/app-text/pdftk/pdftk-2.02.ebuild b/app-text/pdftk/pdftk-2.02.ebuild
index 0aa09e4f2ac..d026f23fdf6 100644
--- a/app-text/pdftk/pdftk-2.02.ebuild
+++ b/app-text/pdftk/pdftk-2.02.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
@@ -13,8 +13,10 @@ LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm ppc x86 ~amd64-linux"
-DEPEND="sys-devel/gcc[gcj]"
-RDEPEND="${DEPEND}"
+RDEPEND="sys-devel/gcc:5.4.0[gcj]"
+DEPEND="${RDEPEND}
+ sys-devel/gcc-config
+"
S="${WORKDIR}/${P}-dist/${PN}"
@@ -27,6 +29,9 @@ src_compile() {
unset CLASSPATH
unset JAVA_HOME
+ # We need gcc-5 because of Java
+ export PATH="$(gcc-config -B 5.4.0):${PATH}"
+
# Parallel make fails; confirmed, still not fixed in version 2.02.
emake -j1 -f "${S}"/Makefile.Debian || die "Compilation failed."
}